date: 2006-08-30 23:25:18
source: http://farm1.static.flickr.com/87/235127970_eab0eeac51_o.jpg
tags: people, bands, club, fla, front line assembly, russia, moscow, showcase, Dead Channel
title: FLA in Moscow
url: http://www.flickr.com/photos/umonkey/235127970/
